Package com.macrofocus.high_d.table

# Enum Class Table.InteractionMode

java.lang.Object
java.lang.Enum<Table.InteractionMode>
com.macrofocus.high_d.table.Table.InteractionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<Table.InteractionMode>`, `Constable`

Enclosing interface:
  `Table<Component,Color,Format,R,C,V>`

public static enum Table.InteractionMode extends Enum<Table.InteractionMode>
Interaction mode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Details`
  `Filter`
  `None`
  `Select`
  Selection mode.
  `Toggle`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Table.InteractionMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Table.InteractionMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Select

    public static final Table.InteractionMode Select
    Selection mode.

  - ### Toggle

    public static final Table.InteractionMode Toggle

  - ### Filter

    public static final Table.InteractionMode Filter

  - ### Details

    public static final Table.InteractionMode Details

  - ### None

    public static final Table.InteractionMode None

- ## Method Details

  - ### values

    public static Table.InteractionMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Table.InteractionMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null